<template>
	<div class="seasons">
		<img class="logo" src="/Logo.png" alt="Logo" />
		<h3>Staffel</h3>
		<p
			v-for="(season, i) in seasons"
			:class="{ active: i === activeSeason }"
			@click="updateSeason(i)"
		>
			{{ season }}
		</p>
	</div>
</template>

<script>
export default {
	name: "SeasonSelect",
	props: ["update"],
	data() {
		return {
			activeSeason: 0,
			seasons: ["#1", "#2", "#3"]
		};
	},
	methods: {
		updateSeason(i) {
			this.update(i);
			this.activeSeason = i;
		}
	}
};
</script>

<style lang="scss" scoped>
.seasons {
	display: flex;
	flex-direction: column;
	width: 250px;
	min-width: 250px;
	justify-content: center;
}
.logo {
	position: absolute;
	top: 60px;
	left: 60px;
}
h3 {
	position: relative;
	font-weight: bold;
	font-size: 32px;
	text-align: left;
	margin-left: 60px;
	margin-bottom: 1rem;
	&:after {
		position: absolute;
		content: " ";
		width: 80px;
		height: 6px;
		background-color: #eeeeee;
		bottom: -20px;
		left: -60px;
	}
}
p {
	font-weight: bold;
	text-align: center;
	opacity: 0.65;
	transition: all 300ms ease-in-out;
	font-size: 32px;
	margin: 1rem 0;
	cursor: pointer;
}
.active {
	font-size: 240px;
	text-align: left;
	transform: translateX(-40px);
	opacity: 1;
}
</style>
